Subject: Re: linux-next: build failure after merge of the kunit-next tree

From: Shuah Khan <[email-masked]>
Date: Mon, 25 Aug 2025 20:15:05 -0600

On 8/19/25 01:44, David Gow wrote:
> On Tue, 19 Aug 2025 at 00:32, Shuah Khan <[email-masked]> wrote:
>>
>> On 8/17/25 20:08, Stephen Rothwell wrote:
>>> Hi all,
>>>
>>> After merging the kunit-next tree, today's linux-next build (x86_64
>>> allmodconfig) failed like this:
>>
>> Thank you Stephen. I did a allmodconfig build on 6.17-rc1 base - didn't
>> see the error.
>>
>> Marie, David, can you take a look this. Looks like conflict with drm
>> in next?
>>
> 
> Thanks, Shuah. I've managed to reproduce this with:
> ./tools/testing/kunit/kunit.py run --arch x86_64 --kunitconfig
> drivers/gpu/drm/xe
> 
> These patches fix it (and a corresponding drm/xe test failure):
> https://lore.kernel.org/linux-next/[email-masked]/T/#t
> 
> Ideally, they'll be squashed into the corresponding patches, as
> otherwise there'd be some temporary breakage during bisections. I can
> squash these into the original series and re-send it out if that works
> best for you.
> 

David,

Please squash them and resend - also I see a kernel test robot
error in patch 1/2.

I was going to squash them, but I saw the kernel test robot error patch.

thanks,
-- Shuah